#pragma once

#include "SceneItem.h"
#include "TextData.h"

class SceneText : public SceneItem
{
public:
    SceneText();

    Type getType() const override;

    double getTextWidth() const;

    double getTextHeight() const;

    const TextData& getTextData() const;

    void setTextWidth(double width);

    void setTextHeight(double height);

    void setTextData(const TextData& content);

private:
    bool mTextGeometryIsDirty{true};
    TextData mTextData;
    double mTextWidth{ 0.0 };
    double mTextHeight{ 0.0 };
};
